﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using BlazorApp1.Shared;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace BlazorApp1.Server.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class OdqController : ControllerBase
    {
        // Get all configurations
        [HttpGet]
        [Route("configurations")]
        public object GetConfigurations(string tache, string Etape, string champ)
        {
            // Declarations
            var configurations = new List<OdqConfigurationModel>();

            // Fake Conf One
            var configuration1 = new OdqConfigurationModel
            {
                Id = Guid.NewGuid(),
                Nom = "Celsius",
                DisplayFields = new List<OdqDisplayFieldModel>
                {
                    new OdqDisplayFieldModel { DisplayName = "Date", DataName="Date"},
                    new OdqDisplayFieldModel { DisplayName = "Temp C", DataName="TemperatureC"}
                }
            };
            configurations.Add(configuration1);

            // Fake Conf Two
            var configuration2 = new OdqConfigurationModel
            {
                Id = Guid.NewGuid(),
                Nom = "Summary",
                DisplayFields = new List<OdqDisplayFieldModel>
                {
                    new OdqDisplayFieldModel { DisplayName = "Date", DataName="Date"},
                    new OdqDisplayFieldModel { DisplayName = "Temp F", DataName="TemperatureF"},
                    new OdqDisplayFieldModel { DisplayName = "Summary", DataName="Summary"}
                }
            };
            configurations.Add(configuration2);

            var result = new
            {
                Count = configurations.Count,
                Items = configurations
            };

            // Done
            return configurations;
        }
    }
}
